/*
 * "Grundkurs Programmieren in Java - Band 2 (2. Auflage, 2006)I"
 * 2003-2006, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 12.3 (Version 2.0)
 * (c) 2003-2006 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import javax.swing.*;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class LaufApplet extends JApplet {

  Container c;
  ColorRunButton knopf1, knopf2;
  JComboBox farbenWahl;
  JCheckBox buchstabenWahl;

  public void init() {
    c = getContentPane();
    c.setLayout(new FlowLayout());
    knopf1 = new ColorRunButton();
    knopf2 = new ColorRunButton();
    farbenWahl = new JComboBox();
    farbenWahl.addItem("scharze Schrift");
    farbenWahl.addItem("graue Schrift");
    buchstabenWahl = new JCheckBox("Buchstaben", true);
    knopf1.addActionListener(new KnopfListener(knopf1));
    knopf2.addActionListener(new KnopfListener(knopf2));
    c.add(knopf1);
    c.add(knopf2);
    c.add(farbenWahl);
    c.add(buchstabenWahl);
  }

  class KnopfListener implements ActionListener {

    ColorRunButton crb;

    KnopfListener (ColorRunButton crb) {
      this.crb = crb;
    }

    public void actionPerformed (ActionEvent e) {
      // Auswahl-Index des Choice-Objekts bestimmen und Schrift setzen
      if (farbenWahl.getSelectedIndex() == 0)
        crb.setForeground(Color.black);
      else
        crb.setForeground(Color.gray);
      //  Zustand der Checkbox bestimmen und Button-Zustand ndern
      crb.change(buchstabenWahl.isSelected());
    }

  }
}
