/*
 * "Grundkurs Programmieren in Java - Band 2 (2. Auflage, 2006)I"
 * 2003-2006, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 2.1 (Version 2.0)
 * (c) 2003-2006 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */
/** Speichert zehn Namen achtet auf Aenderungen.
  * Aenderung zum Buch: verwendet UnfugObserver und die get-Methode
  * der Namensklasse
  **/
public class Observer implements java.util.Observer {

  /** Die zehn gespeicherten Namen */
  private Name[] namen;

  /** Konstruktor */
  public Observer() {
    namen = new Name[10];
    for (int i = 0; i < namen.length; i++) {
      namen[i] = new Name();
      namen[i].addObserver(this);
      new UnfugObserver(namen[i]);
    }
  }

  /** Gib einen der zehn Namen zurueck */
  public Name getName(int i) {
    return namen[i];
  }

  /** Achte auf die Veraenderung eines der Namen */
  public void update(java.util.Observable n,Object o) {
    // Finde den Index, der zu dem Namen passt
    int index = 0;
    while (n != namen[index])
      index++;
    // Gib die Aenderung auf dem Bildschirm aus
    System.out.println("Name Nr. " + index +
                       " wurde geaendert.");
    System.out.println("Neuer Name: " + namen[index].getName());
    System.out.println();
  }

}
