/*
 * "Grundkurs Programmieren in Java - Band 2 (2. Auflage, 2006)I"
 * 2003-2006, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe ? (Version 2.0)
 * (c) 2003-2006 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import java.io.*;
import java.net.*;
class CDServer {
  public static void main(String[] args) {
    if (args.length != 1) {
      System.out.println("Aufruf:  java CDServer <portnr>");
      System.exit(1);
    }
    try {
      int port = Integer.parseInt(args[0]);
      ServerSocket server = new ServerSocket(port);
      System.out.println("CDServer wartet auf Port " + port);
      boolean neu = true;
      while (neu) {
        Socket sock = server.accept();
        new CDVerbindung(sock).start();
      }
      server.close();
    } 
    catch (IOException e) {
      e.printStackTrace();
    }
  }
}
