/*
 * "Grundkurs Programmieren in Java - Band 2 (2. Auflage, 2006)I"
 * 2003-2006, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 2.1 (Version 2.0)
 * (c) 2003-2006 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */
import java.util.Observable;

/** Diese Klasse symbolisiert einen Namen.
 * Aenderung zum Buch: die Klasse wurde Cloneable gemacht,
 * unnoetiger Parameter aus der get-Methode gestrichen
 **/
public class Name extends Observable implements Cloneable {

  /** Hier wird der Name gespeichert */
  private String name;

  /** Hiermit laesst sich der Name setzen */
  public void setName(String name) {
    this.name = name;
    setChanged();
    notifyObservers(name);
  }

  /** Hiermit laesst sich der Name lesen */
  public String getName() {
    return name;
  }
  
  /** Erzeugt eine Kopie des Objektes */
  public Object clone() {
    Name res = new Name();
    res.setName(name);
    return res;
  }

}
